Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jms.extensions
Class JMSOrderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  weblogic.jms.common.JMSException
                      weblogic.jms.extensions.JMSOrderException

All Implemented Interfaces:
  Serializable

public class JMSOrderException
extends weblogic.jms.common.JMSException

A JMSOrderException is thrown when the operation cannot meet the requested ordering quality.

This is usually while:

- setting a producer with the unit of order option
- sending a unit of order message

See Also:
  `JMSException`, `WLMessageProducer`, Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`JMSOrderException(String reason)`
`JMSOrderException(String message, String errorCode)`
`JMSOrderException(String message, Throwable cause)`

Method Summary
`Serializable` | `getMember()`
`void` | `setMember(Serializable member)`

Methods inherited from class weblogic.jms.common.JMSException
`getLinkedException, isInformational, setLinkedException`

Methods inherited from class javax.jms.JMSException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMSOrderException

    public JMSOrderException(String reason)

### JMSOrderException

    public JMSOrderException(String message,
                             String errorCode)

### JMSOrderException

    public JMSOrderException(String message,
                             Throwable cause)

Method Detail

### getMember

    public Serializable getMember()

### setMember

    public void setMember(Serializable member)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD